Bug 1488801 - [RFE] Complete and test containerization of Octavia services
Summary: [RFE] Complete and test containerization of Octavia services
Keywords:
Status: CLOSED DUPLICATE of bug 1433537
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Or Idgar
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1506644 1506647
Blocks: 1488797
TreeView+ depends on / blocked
 
Reported: 2017-09-06 08:50 UTC by Nir Yechiel
Modified: 2019-09-10 14:08 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: ovncontainerization (view as bug list)
Environment:
Last Closed: 2017-12-14 14:36:58 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1433535 0 high CLOSED [RFE][Neutron][TechPreview] Containerized deployment of Neutron services 2021-02-22 00:41:40 UTC

Internal Links: 1433535

Description Nir Yechiel 2017-09-06 08:50:22 UTC
Description of problem:

In order to provide partners enough time to adapt to the upcoming deployment changes, the decision was to containerize Neutron for Pike but offer it as Tech Preview with RHOSP 12. This should ensure that partner integrations remain unchanged from previous versions of RHOSP, while allow partners to start working on the integration of their solution.

With RHOSP 13, the goal is to have all Neutron services containerized, including:

- Complete work for SRIOV agent, OVN, and Octavia
- CI running with all containerized services
- Changing TripleO defaults to deploy with containers


Note You need to log in before you can comment on or make changes to this bug.